import datetime

from ensemble.machine import ProviderMachine

from .utils import log


class EC2ProviderMachine(ProviderMachine):
    """EC2-specific ProviderMachine implementation.

    Not really interesting right now, besides for "tagging" purposes.
    """


def machine_from_instance(instance):
    launch_time = None
    if instance.launch_time:
        launch_time = datetime.datetime.strptime(
            instance.launch_time[:19], "%Y-%m-%dT%H:%M:%S")
    return EC2ProviderMachine(
        instance.instance_id,
        instance.dns_name,
        instance.private_dns_name,
        launch_time)
